using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class GemBehavior : MonoBehaviour
{
    private AudioSource _audioSource;
    [SerializeField] private AudioClip _gemSound;
    
    void Start()
    {
        _audioSource = GetComponent<AudioSource>();
    }

    private void OnTriggerEnter(Collider other)
    {
        _audioSource.PlayOneShot(_gemSound);
        // We hide the gem
        GetComponent<Renderer>().enabled = false;
        // We wait for the sound to finish playing
        StartCoroutine(WaitForSound());
    }
    
    IEnumerator WaitForSound()
    {
        yield return new WaitForSeconds(_gemSound.length);
        Destroy(gameObject);
    }
}
